Skip to main content
Use POST /v1/video/generations with doubao-seedance-1-0-lite-t2v-250428 for text-to-video or doubao-seedance-1-0-lite-i2v-250428 for image-to-video.

Create task

POST /v1/video/generations
cURL

Request body

string
required
Must be doubao-seedance-1-0-lite-t2v-250428.
object[]
required
Must contain one text item with type: "text" and a text prompt.
string
default:"16:9"
16:9, 4:3, 1:1, 3:4, 9:16, or 21:9. adaptive is not supported for text-to-video.
string
default:"720p"
480p, 720p, or 1080p.
integer
default:5
Video duration from 2 to 12 seconds.
boolean
default:false
Whether to include a watermark.
integer
Random seed for reproducibility.
boolean
default:false
Whether to fix the camera position.

Request headers

string
required
Bearer authentication in the form Bearer <token>.
string
default:"application/json"
required
Request body format.

Response

200
string
Created task ID.
string
Model used for task creation.
string
Initial task status.
integer
Task creation Unix timestamp in seconds.

Error responses

  • 401 Unauthorized — The API key is missing or invalid.
  • 429 Rate limit exceeded — The request exceeded the applicable rate limit.